Create or update render config for one or more courses
curl --request PUT \
--url https://api.alpha-1edtech.ai/powerpath/render-config/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"courseIds": [
"<string>"
],
"rendererId": "<string>",
"rendererUrl": "<string>",
"rendererVersion": "<string>",
"suppressFeedback": false,
"suppressCorrectResponse": false
}
'import requests
url = "https://api.alpha-1edtech.ai/powerpath/render-config/"
payload = {
"courseIds": ["<string>"],
"rendererId": "<string>",
"rendererUrl": "<string>",
"rendererVersion": "<string>",
"suppressFeedback": False,
"suppressCorrectResponse": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
courseIds: ['<string>'],
rendererId: '<string>',
rendererUrl: '<string>',
rendererVersion: '<string>',
suppressFeedback: false,
suppressCorrectResponse: false
})
};
fetch('https://api.alpha-1edtech.ai/powerpath/render-config/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"updated": [
"<string>"
]
}{
"imsx_codeMajor": "failure",
"imsx_severity": "error",
"imsx_description": "<string>",
"imsx_CodeMinor": {
"imsx_codeMinorField": [
{
"imsx_codeMinorFieldName": "TargetEndSystem",
"imsx_codeMinorFieldValue": "invaliddata"
}
]
},
"imsx_error_details": [
{}
]
}{
"imsx_codeMajor": "failure",
"imsx_severity": "error",
"imsx_description": "<string>",
"imsx_CodeMinor": {
"imsx_codeMinorField": [
{
"imsx_codeMinorFieldName": "TargetEndSystem",
"imsx_codeMinorFieldValue": "unauthorisedrequest"
}
]
},
"imsx_error_details": [
{}
]
}{
"imsx_codeMajor": "failure",
"imsx_severity": "error",
"imsx_description": "<string>",
"imsx_CodeMinor": {
"imsx_codeMinorField": [
{
"imsx_codeMinorFieldName": "TargetEndSystem",
"imsx_codeMinorFieldValue": "forbidden"
}
]
},
"imsx_error_details": [
{}
]
}{
"imsx_codeMajor": "failure",
"imsx_severity": "error",
"imsx_description": "<string>",
"imsx_CodeMinor": {
"imsx_codeMinorField": [
{
"imsx_codeMinorFieldName": "TargetEndSystem",
"imsx_codeMinorFieldValue": "unknownobject"
}
]
},
"imsx_error_details": [
{}
]
}{
"imsx_codeMajor": "failure",
"imsx_severity": "error",
"imsx_description": "<string>",
"imsx_CodeMinor": {
"imsx_codeMinorField": [
{
"imsx_codeMinorFieldName": "TargetEndSystem",
"imsx_codeMinorFieldValue": "invaliddata"
}
]
},
"imsx_error_details": [
{}
]
}{
"imsx_codeMajor": "failure",
"imsx_severity": "error",
"imsx_description": "<string>",
"imsx_CodeMinor": {
"imsx_codeMinorField": [
{
"imsx_codeMinorFieldName": "TargetEndSystem",
"imsx_codeMinorFieldValue": "server_busy"
}
]
},
"imsx_error_details": [
{}
]
}{
"imsx_codeMajor": "failure",
"imsx_severity": "error",
"imsx_description": "<string>",
"imsx_CodeMinor": {
"imsx_codeMinorField": [
{
"imsx_codeMinorFieldName": "TargetEndSystem",
"imsx_codeMinorFieldValue": "internal_server_error"
}
]
},
"imsx_error_details": [
{}
]
}Lesson Mastery
Create or update render config for one or more courses
Assigns a custom renderer configuration to one or more courses. If a config already exists for a course, it is updated.
PUT
/
powerpath
/
render-config
/
Create or update render config for one or more courses
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Body
application/json
Response
Render config upserted
⌘I